## ricks-amdgpu-utils 2.6.0

=== requirements.txt ===
cycler==0.10.0
kiwisolver==1.1.0
matplotlib==3.0.3
numpy==1.16.3
pandas==0.24.2
pyparsing==2.4.0
python-dateutil==2.8.0
pytz==2019.1
ruamel.yaml==0.16.5
ruamel.yaml.clib==0.1.2
six==1.12.0

=== debian/changelog ===
ricks-amdgpu-utils (2.6.0-1) unstable; urgency=medium

  * New upstream release (bug fixes).

 -- Steffen Möller <moeller@debian.org>  Sun, 06 Oct 2019 09:36:29 +0200

ricks-amdgpu-utils (2.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #932554)

 -- Steffen Möller <moeller@debian.org>  Fri, 19 Jul 2019 01:00:13 +0200

=== debian/control ===
Source: ricks-amdgpu-utils
Section: utils
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Möller <moeller@debian.org>,
           Rick Langford <rueikes.homelab@gmail.com>
Build-Depends: debhelper (>= 10),
 dh-python,
 python3-all, python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/Ricks-Lab/amdgpu-utils
Vcs-Git: https://salsa.debian.org/science-team/ricks-amdgpu-utils.git
Vcs-Browser: https://salsa.debian.org/science-team/ricks-amdgpu-utils

Package: python3-gpumodules
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-matplotlib,
 python3-pandas,
 lshw
Suggests: ricks-amdgpu-utils
Description: adjustment and inspection of AMD GPUs
 An internal module used by the Ricks-Lab's
 AMD GPU Utilities.

Package: ricks-amdgpu-utils
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gpumodules
Suggests: ricks-amdgpu-utils-doc
Description: AMD GPU performance adjustment and monitoring
 A set of utilities for monitoring AMD GPU performance and modifying
 control settings.
 .
 Please refer to the user guide to adjust featuremask parameter for
 grub bootloader.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=gpumodules

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/ricks-amdgpu-utils/usr/
	mv debian/python3-gpumodules/usr/bin debian/ricks-amdgpu-utils/usr/

override_dh_auto_clean:
	dh_clean
	rm -rf build .pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ricks-amdgpu-utils-$1.tar.gz%" \
   https://github.com/Ricks-Lab/amdgpu-utils/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ricks-amdgpu-utils 3.5.0

=== debian/changelog ===
ricks-amdgpu-utils (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.0
  * Fixing split of the installed files to binary packages.
  * Wrapping and sorting.
  * Defining Breaks+Replaces relationship between current ricks-amdgpu-utils
    and older python3-gpumodules (moved manpages).
  * Dropping reference to nonexistent ricks-amdgpu-utils-doc package.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Aug 2020 02:31:01 -0400

ricks-amdgpu-utils (3.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Thu, 09 Apr 2020 00:13:25 -0400

=== debian/control ===
Source: ricks-amdgpu-utils
Section: utils
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Steffen Möller <moeller@debian.org>,
 Rick Langford <rueikes.homelab@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/Ricks-Lab/amdgpu-utils
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/ricks-amdgpu-utils.git
Vcs-Browser: https://salsa.debian.org/science-team/ricks-amdgpu-utils

Package: python3-gpumodules
Architecture: all
Depends:
 lshw,
 python3-matplotlib,
 python3-pandas,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ricks-amdgpu-utils,
Description: adjustment and inspection of AMD GPUs
 An internal module used by the Ricks-Lab's
 AMD GPU Utilities.

Package: ricks-amdgpu-utils
Architecture: all
Depends:
 python3-gpumodules,
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python3-gpumodules (<< 3.5.0),
Breaks:
 python3-gpumodules (<< 3.5.0),
Description: AMD GPU performance adjustment and monitoring
 A set of utilities for monitoring AMD GPU performance and modifying
 control settings.
 .
 Please refer to the user guide to adjust featuremask parameter for
 grub bootloader.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gpumodules

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-gpumodules/usr/bin debian/ricks-amdgpu-utils/usr
	mv debian/python3-gpumodules/usr/share/man debian/ricks-amdgpu-utils/usr/share
	rm -rf debian/python3-gpumodules/usr/share/rickslab-gpu-utils

override_dh_auto_clean:
	dh_clean
	rm -rf build .pybuild GPUmodules/__pycache__ rickslab_gpu_utils.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ricks-amdgpu-utils-$1.tar.gz%" \
   https://github.com/Ricks-Lab/amdgpu-utils/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
